Bug 107147 - PIVOT CHARTS: Total present in legend in pie chart
Summary: PIVOT CHARTS: Total present in legend in pie chart
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Pivot-Chart
  Show dependency treegraph
 
Reported: 2017-04-13 15:41 UTC by bureautiquelibre
Modified: 2021-03-26 05:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test file with pie pivot chart (18.82 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-04-13 15:41 UTC, bureautiquelibre
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bureautiquelibre 2017-04-13 15:41:34 UTC
Created attachment 132546 [details]
Test file with pie pivot chart

Load provided test file.

Pie chart has "Total result Paris" in the legend (but shows no associated data)
Comment 1 Jacques Guilleron 2017-04-13 17:20:00 UTC
Hello,

I reproduce with:
LO 5.4.0.0.alpha0+ Build ID: 98ebfb6a8638a76e96ffe7ada2485b3d13ed1fb9
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-04-11_01:03:05
Locale: fr-FR (fr_FR); Calc: CL

Jacques
Comment 2 Commit Notification 2017-04-24 06:39:24 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f4218ac543f49331e42869e632922cf5fbb5bda

tdf#107147 ignore subtotals and grandtotals when gathering labels

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 bureautiquelibre 2017-04-27 13:22:15 UTC
Fix confirmed

Version: 5.4.0.0.alpha0+ (x64)
Build ID: e4f28aea21ce7e8f960cc2062f83715549be215e
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2017-04-25_02:04:15
Locale: fr-FR (fr_FR); Calc: CL
Comment 4 Declan Ball 2020-05-13 09:12:00 UTC
Thanks for the solutions! It really helped me with https://ipayzz.com/no-deposit-bonus-codes/ Usually, people don't know that no deposit bonus can be used while playing and this could be easier than people used to think.
Comment 5 carmen 2021-03-26 05:14:03 UTC
Okinawa Flat Belly Tonic is a weight loss formula formulated using some of the secret ingredients sourced from Okinawa, one of the healthiest islands in the world. Looking for Okinawa Flat Belly Tonic review 2021? This Review Based on the 2021 Okinawa Flat Belly Tonic Customer Report and Here you can find How it Works? https://arynunez.com/okinawa-flat-belly-tonic-review/